All Collections
Error and Install
Install
Web browser is not up to date
Web browser is not up to date
Updated over a week ago

You can not fully utilize JANDI in Internet Explorer that have versions under 10.0.

So, please update your browser version in the links below or download the JANDI PC Application.

Regarding your JANDI account, you can reset passwords only in browsers.

Thus, if you have an outdated browser, you may not be able to edit your JANDI account. So please make sure that your browser is up to date.

[Mininum Specs to support JANDI]

PC

- Windows 7 (Service Pack 1)

- macOS 10.11 (El Capitan)

- Linux not supported

Browser

- Chrome all versions supported

- Safari all versions supported

- Others: may use JANDI but officially not supported

Mobile

- Android 7 (Nougat)
- iOS 13

Did this answer your question?